# Asterisk Project : Asterisk 13 Function_FAXOPT_res_fax

Created by wikibot on Aug 08, 2014

# FAXOPT() - [res_fax]

### Synopsis

Gets/sets various pieces of information about a fax session.

### Description

FAXOPT can be used to override the settings for a FAX session listed in `res_fax.conf`, it can also be used to retreive information about a FAX session that has finished eg. pages/status.

### Syntax

    FAXOPT(item)

##### Arguments

- `item`
  - `ecm` - R/W Error Correction Mode (ECM) enable with 'yes', disable with 'no'.
  - `error` - R/O FAX transmission error code upon failure.
  - `filename` - R/O Filename of the first file of the FAX transmission.
  - `filenames` - R/O Filenames of all of the files in the FAX transmission (comma separated).
  - `headerinfo` - R/W FAX header information.
  - `localstationid` - R/W Local Station Identification.
  - `minrate` - R/W Minimum transfer rate set before transmission.
  - `maxrate` - R/W Maximum transfer rate set before transmission.
  - `modem` - R/W Modem type (v17/v27/v29).
  - `gateway` - R/W T38 fax gateway, with optional fax activity timeout in seconds (yes[,timeout]/no)
  - `faxdetect` - R/W Enable FAX detect with optional timeout in seconds (yes,t38,cng[,timeout]/no)
  - `pages` - R/O Number of pages transferred.
  - `rate` - R/O Negotiated transmission rate.
  - `remotestationid` - R/O Remote Station Identification after transmission.
  - `resolution` - R/O Negotiated image resolution after transmission.
  - `sessionid` - R/O Session ID of the FAX transmission.
  - `status` - R/O Result Status of the FAX transmission.
  - `statusstr` - R/O Verbose Result Status of the FAX transmission.

### See Also

- Asterisk 13 Application_ReceiveFax
- Asterisk 13 Application_SendFax

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538